--- a/debuginfod/debuginfod-client.c
+++ b/debuginfod/debuginfod-client.c
@@ -77,7 +77,9 @@ void debuginfod_end (debuginfod_client *
 #include <regex.h>
 #include <string.h>
 #include <stdbool.h>
+#ifdef __linux__
 #include <linux/limits.h>
+#endif
 #include <time.h>
 #include <utime.h>
 #include <sys/syscall.h>
@@ -108,6 +110,10 @@ libcurl_init(void)
   curl_global_init(CURL_GLOBAL_DEFAULT);
 }
 
+#ifndef ETIME
+#define ETIME ETIMEDOUT /* Timer expired, fallback if not found in errno.h like on Linux */
+#endif
+
 struct debuginfod_client
 {
   /* Progress/interrupt callback function. */
